<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: SubLevelProperties Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_sub_level_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_sub_level_properties-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SubLevelProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for SubLevelProperties:</div>
<div class="dyncontent">
<div class="center"><img src="struct_sub_level_properties__coll__graph.png" border="0" usemap="#_sub_level_properties_coll__map" alt="Collaboration graph"/></div>
<map name="_sub_level_properties_coll__map" id="_sub_level_properties_coll__map">
<area shape="rect" title=" " alt="" coords="1229,269,1376,296"/>
<area shape="rect" href="struct_integer_literal_properties.html" title=" " alt="" coords="835,16,1010,43"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="496,213,629,240"/>
<area shape="rect" href="struct_paren_expr_properties.html" title=" " alt="" coords="846,67,999,93"/>
<area shape="rect" href="struct_call_expr_properties.html" title=" " alt="" coords="851,117,994,144"/>
<area shape="rect" href="struct_function_decl_properties.html" title=" " alt="" coords="837,168,1009,195"/>
<area shape="rect" href="struct_member_expr_prop.html" title=" " alt="" coords="855,219,990,245"/>
<area shape="rect" href="struct_unary_operator_properties.html" title=" " alt="" coords="831,269,1015,296"/>
<area shape="rect" href="struct_decl_ref_expr_properties.html" title=" " alt="" coords="839,320,1007,347"/>
<area shape="rect" href="struct_binary_op_properties_light.html" title=" " alt="" coords="833,371,1013,397"/>
<area shape="rect" href="struct_var_decl_properties.html" title=" " alt="" coords="853,421,992,448"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="232,213,347,240"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="5,213,80,240"/>
<area shape="rect" href="struct_node_hierarchy.html" title=" " alt="" coords="863,472,982,499"/>
<area shape="rect" href="struct_node_tree.html" title=" " alt="" coords="881,523,964,549"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0cdb22aa96f864d2b4fc2706cd3007dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_node_tree.html">NodeTree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a0cdb22aa96f864d2b4fc2706cd3007dc">tree</a></td></tr>
<tr class="separator:a0cdb22aa96f864d2b4fc2706cd3007dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3940c27ebcead90b719e3617332ff82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_decl_ref_expr_properties.html">DeclRefExprProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#ac3940c27ebcead90b719e3617332ff82">DeclRefExpr_scalar</a></td></tr>
<tr class="separator:ac3940c27ebcead90b719e3617332ff82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac574933724aa35a9dde0755864c3eaef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_member_expr_prop.html">MemberExprProp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#ac574933724aa35a9dde0755864c3eaef">MemberExprPrp_scalar</a></td></tr>
<tr class="separator:ac574933724aa35a9dde0755864c3eaef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f09161a1d5e23d9cb2a308bca7274b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_function_decl_properties.html">FunctionDeclProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#ac8f09161a1d5e23d9cb2a308bca7274b">FuncDeclProperties_scalar</a></td></tr>
<tr class="separator:ac8f09161a1d5e23d9cb2a308bca7274b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a821f9744c2fe9965fb3cf9ca69794b79"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_var_decl_properties.html">VarDeclProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a821f9744c2fe9965fb3cf9ca69794b79">VarDeclProperties_scalar</a></td></tr>
<tr class="separator:a821f9744c2fe9965fb3cf9ca69794b79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930c6a2242ea559f7037c9e74951ac67"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a930c6a2242ea559f7037c9e74951ac67">BinOpProperties_scalar</a></td></tr>
<tr class="separator:a930c6a2242ea559f7037c9e74951ac67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628bfd7eaebe38364b6c11627647c9fa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_call_expr_properties.html">CallExprProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a628bfd7eaebe38364b6c11627647c9fa">CallExpr_scalar</a></td></tr>
<tr class="separator:a628bfd7eaebe38364b6c11627647c9fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8291fcd199f52cc4b1c5a9fabc020271"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_integer_literal_properties.html">IntegerLiteralProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a8291fcd199f52cc4b1c5a9fabc020271">InterLiteral_scalar</a></td></tr>
<tr class="separator:a8291fcd199f52cc4b1c5a9fabc020271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8853c7583912269de48283bff1bf11b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_unary_operator_properties.html">UnaryOperatorProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#ad8853c7583912269de48283bff1bf11b">UnaryOperator_scalar</a></td></tr>
<tr class="separator:ad8853c7583912269de48283bff1bf11b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8303dd1282e57188e9028b01e6c339ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_paren_expr_properties.html">ParenExprProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a8303dd1282e57188e9028b01e6c339ab">ParenExpr_scalar</a></td></tr>
<tr class="separator:a8303dd1282e57188e9028b01e6c339ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64262bfa983cfbaa7c00ae8d549a6a83"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_node_hierarchy.html">NodeHierarchy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#a64262bfa983cfbaa7c00ae8d549a6a83">current_level</a></td></tr>
<tr class="separator:a64262bfa983cfbaa7c00ae8d549a6a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc00ec5a61d8638c15424e71f70e6b25"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_sub_level_properties.html#acc00ec5a61d8638c15424e71f70e6b25">isLHS</a></td></tr>
<tr class="separator:acc00ec5a61d8638c15424e71f70e6b25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a930c6a2242ea559f7037c9e74951ac67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a930c6a2242ea559f7037c9e74951ac67">&#9670;&nbsp;</a></span>BinOpProperties_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a> SubLevelProperties::BinOpProperties_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a628bfd7eaebe38364b6c11627647c9fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a628bfd7eaebe38364b6c11627647c9fa">&#9670;&nbsp;</a></span>CallExpr_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_call_expr_properties.html">CallExprProperties</a> SubLevelProperties::CallExpr_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a64262bfa983cfbaa7c00ae8d549a6a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64262bfa983cfbaa7c00ae8d549a6a83">&#9670;&nbsp;</a></span>current_level</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_node_hierarchy.html">NodeHierarchy</a> SubLevelProperties::current_level</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3940c27ebcead90b719e3617332ff82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3940c27ebcead90b719e3617332ff82">&#9670;&nbsp;</a></span>DeclRefExpr_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_decl_ref_expr_properties.html">DeclRefExprProperties</a> SubLevelProperties::DeclRefExpr_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8f09161a1d5e23d9cb2a308bca7274b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8f09161a1d5e23d9cb2a308bca7274b">&#9670;&nbsp;</a></span>FuncDeclProperties_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_function_decl_properties.html">FunctionDeclProperties</a> SubLevelProperties::FuncDeclProperties_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8291fcd199f52cc4b1c5a9fabc020271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8291fcd199f52cc4b1c5a9fabc020271">&#9670;&nbsp;</a></span>InterLiteral_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_integer_literal_properties.html">IntegerLiteralProperties</a> SubLevelProperties::InterLiteral_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acc00ec5a61d8638c15424e71f70e6b25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc00ec5a61d8638c15424e71f70e6b25">&#9670;&nbsp;</a></span>isLHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SubLevelProperties::isLHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac574933724aa35a9dde0755864c3eaef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac574933724aa35a9dde0755864c3eaef">&#9670;&nbsp;</a></span>MemberExprPrp_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_member_expr_prop.html">MemberExprProp</a> SubLevelProperties::MemberExprPrp_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8303dd1282e57188e9028b01e6c339ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8303dd1282e57188e9028b01e6c339ab">&#9670;&nbsp;</a></span>ParenExpr_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_paren_expr_properties.html">ParenExprProperties</a> SubLevelProperties::ParenExpr_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cdb22aa96f864d2b4fc2706cd3007dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cdb22aa96f864d2b4fc2706cd3007dc">&#9670;&nbsp;</a></span>tree</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_node_tree.html">NodeTree</a> SubLevelProperties::tree</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8853c7583912269de48283bff1bf11b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8853c7583912269de48283bff1bf11b">&#9670;&nbsp;</a></span>UnaryOperator_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_unary_operator_properties.html">UnaryOperatorProperties</a> SubLevelProperties::UnaryOperator_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a821f9744c2fe9965fb3cf9ca69794b79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a821f9744c2fe9965fb3cf9ca69794b79">&#9670;&nbsp;</a></span>VarDeclProperties_scalar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_var_decl_properties.html">VarDeclProperties</a> SubLevelProperties::VarDeclProperties_scalar</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
